import 'package:test/test.dart';
import 'package:holzleitner_api/holzleitner_api.dart';


/// tests for CarsApi
void main() {
  final instance = HolzleitnerApi().getCarsApi();

  group(CarsApi, () {
    // Legt ein neues Fahrzeug für den angemeldeten Fahrer an.
    //
    //Future<CarResponse> createMyCar(CreateCarRequest createCarRequest) async
    test('test createMyCar', () async {
      // TODO
    });

    // Listet die Fahrzeuge des angemeldeten Fahrers.
    //
    //Future<CarsList> listMyCars({ bool includeInactive }) async
    test('test listMyCars', () async {
      // TODO
    });

    // Aktualisiert ein Fahrzeug (Kennzeichen ändern / deaktivieren).
    //
    //Future<CarResponse> updateMyCar(String carId, UpdateCarRequest updateCarRequest) async
    test('test updateMyCar', () async {
      // TODO
    });

  });
}
